Changes between Version 3 and Version 4 of Ticket #5281


Ignore:
Timestamp:
08/26/10 19:34:35 (12 years ago)
Author:
leif
Comment:

The whole spkg really needs clean-up. (And Sage's beta version is out of date since at least 19 month; by now, the current one is [still] 0.98.9 - as in the ticket's title, last updated by Mariah.)

I have absolutely no idea why spkg-install does the following on Linux:

    make linux-thr
    if [ $? -ne 0 ]; then
        echo "Maybe your system is 64-bit; trying again."
        if [ `uname -m` = "ia64" ]; then
          echo "ia64"
          make linux-ia64-thr
        else
          echo "64-bit arch"
          make linux-64-thr
        fi
    fi

This might even "fail" (building just a 32-bit version on 64-bit Linuces) when the required (multi-arch/32-bit) libraries are present. And if the 32-bit build fails for some reason on a real 32-bit system, it doesn't make sense to attempt a 64-bit build.

Legend:

Unmodified
Added
Removed
Modified
  • Ticket #5281 – Description

    v3 v4  
    1 In Sage we are currently shipping some 0.98.beta release of tachyon. Update to the official upstream release 0.98.9.
     1In Sage we are currently shipping some 0.98.beta release of tachyon.
    22
    3 This will require cleaning up SPKG.txt
     3Update to the official upstream release 0.98.9 (released January 18th 2010; still current on August 26th 2010).
     4
     5This will (not only) require cleaning up SPKG.txt.
     6
     7----
     8
     9Upstream link: http://jedi.ks.uiuc.edu/~johns/raytracer/